#include "Runtime.hpp"

namespace spider {

    // Constructors & Destructors //

    Runtime::Runtime() : ram(0) {}

    Runtime::Runtime(u64 ramSize) : ram(ramSize) {}

    Runtime::~Runtime() {}

    // Stepping/Running the Machine //

    void Runtime::step() {}

    void Runtime::step(u64 n) {}

    void Runtime::run() {}

    void Runtime::run(u64 n) {}

    // Misc //

    void Runtime::resizeRAM(u64 length) {
        ram.resize(length);
    }

}
